package com.bankaudit.process.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="ifc_rating_parameter_mapping")
public class IfcRatingParameterMapping implements Serializable {
	
	@Id
	@Column(name="id")
	private Integer id;

	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	
	@Column(name="audit_type_code")
	private String auditTypeCode;
	
	@Column(name="input_ext")
	private String inputExt;
	
	@Column(name="input_baas")
	private String inputBaas;
	
	@Column(name="input_description")
	private String inputDescription;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	public String getInputExt() {
		return inputExt;
	}

	public void setInputExt(String inputExt) {
		this.inputExt = inputExt;
	}

	public String getInputBaas() {
		return inputBaas;
	}

	public void setInputBaas(String inputBaas) {
		this.inputBaas = inputBaas;
	}

	public String getInputDescription() {
		return inputDescription;
	}

	public void setInputDescription(String inputDescription) {
		this.inputDescription = inputDescription;
	}

	
}
